#
# spec file for package ghc-clckwrks-plugin-page
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name clckwrks-plugin-page
Name:           ghc-%{pkg_name}
Version:        0.4.3.10
Release:        8.8
Summary:        Support for CMS/Blogging in clckwrks
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-acid-state-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-clckwrks-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-happstack-hsp-devel
BuildRequires:  ghc-happstack-server-devel
BuildRequires:  ghc-hsp-devel
BuildRequires:  ghc-hsx2hs-devel
BuildRequires:  ghc-ixset-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-old-locale-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-reform-devel
BuildRequires:  ghc-reform-happstack-devel
BuildRequires:  ghc-reform-hsp-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-safecopy-devel
BuildRequires:  ghc-tagsoup-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-time-locale-compat-devel
BuildRequires:  ghc-uuid-devel
BuildRequires:  ghc-uuid-orphans-devel
BuildRequires:  ghc-web-plugins-devel
BuildRequires:  ghc-web-routes-devel
BuildRequires:  ghc-web-routes-happstack-devel
BuildRequires:  ghc-web-routes-th-devel

%description
This provides two similar concepts Pages and Posts. Both allow you to create
page content by editting pages in the browser. A Post is simply a page which is
displayed in the blog.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Thu Jul 27 2017 psimons@suse.com
- Update to version 0.4.3.10.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 0.4.3.9 with cabal2obs.
* Tue Oct 11 2016 psimons@suse.com
- Update to version 0.4.3.5 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 0.4.3.4 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.4.3.3 revision 0 with cabal2obs.
